Subject: Re: draft-vasseur-mpls-ospf-pcsd-discovery-00.txt

From: Anton Smirnov <[email-masked]>
Date: Thu, 8 Aug 2002 08:38:22 +0200

Vishwas,
   I think your message to the list just has been delayed somewhere as your
previous message did, not lost.

   Right, I don't say that it is new or best idea. I just listed _possible_
solution with its inherent disadvantages.

   Actually, I would say that so far there are two good alternatives: the
one with PCS representing itself as ASBR and the one with translation
between areas. And main question which should distinguish preference between
these two solutions is also listed in your last email:  do we want PCS
information to be propagated into all flavors of stub areas or impose
requirement to have own PCS at such areas.
   I don't think that stub status of an area is a good justification to
isolate it from PCSD information. Main reason to make an area stub is to
reduce number of LSAs in it, not to achieve any kind of security. PCSD LSAs
will not break this idea.
   And, after all, combined solution is possible: PCS server resides in
'normal' area and presents itself as ASBR in all normal areas; while
specification leaves room for optional translation capability on border
routers to stub areas. This will combine best and worst of both solutions,
but all worst is optional and left on implementation's choice.

Anton

----- Original Message -----
From: "Manral, Vishwas" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Sent: Thursday, August 08, 2002 06:25
Subject: FW: draft-vasseur-mpls-ospf-pcsd-discovery-00.txt

> Forwarding as it hasn't turned up from the list !!!
>
> -Vishwas
>
> -----Original Message-----
> From: Manral, Vishwas
> Sent: Thursday, August 08, 2002 9:49 AM
> To: 'Mailing List'
> Subject: RE: draft-vasseur-mpls-ospf-pcsd-discovery-00.txt
>
>
> Hi Anton,
>
> You are right, and we did think of this approach, more from the NSSA and
> Stub point of view, because in those areas type-11 LSA's are not flooded.
>
> However we did not want to have any translation function on stub/NSSA
ABRs.
> Stub areas should remain stub (no external info should be sent inside).
> These
> areas should have their own PCS inside the area if needed, or clients
inside
> stub/NSSA areas should be configured statically with the PCS address, to
> avoid added complexity.
>
> Thanks,
> Vishwas
>

---

From: Amit Srivastava <[email-masked]>
Date: Wed, 7 Aug 2002 23:55:02 -0700

Hi All,
 I got the doubt while reading the RFC for NSSA it
says All the Type 7 LSAs converted into the Type 5 LSA
MUST have a forwarding address set.
            I can understarnd the point mentioned in
RFC 2328 about the forwarding address but in this case
i am not able to appreciate the MUST conditionin the
RFC(with Exception when u start aggregating multiple
routes).
Please if some one know the answer to it kindly
explain to me.
Regards
Amit

__________________________________________________
Do You Yahoo!?
HotJobs - Search Thousands of New Jobs
http://www.hotjobs.com

---

From: Amit Srivastava <[email-masked]>
Date: Thu, 8 Aug 2002 05:03:38 -0700

Hi All,
  I have found a contradition in the NSSA RFC 1587 and
ietf dratf number 11 for nssa. The RFC specifies in
section 3.5 2nd last para:-

When a type-5 LSA and a type-7 LSA are found to have
the same type and an equal distance, the following
priorities apply (listed from highest to lowest) for
breaking the tie.
a. Any type 5 LSA.
b. A type-7 LSA with the P-bit set and the forwarding
address non-zero.
c. Any other type-7 LSA.

While the Draft specifies in section 3.5 2nd Last para
that:-

          (e) If the current LSA is functionally the
same as an installed LSA (i.e., same destination, cost
and non-zero forwarding address) then apply the
following priorities in deciding which LSA is
preferred:
              1. A Type-7 LSA with the P-bit set.

              2. A Type-5 LSA.

              3. The LSA with the higher router ID.

Now my doubt is which one to Follow???
Please Help
Regards
Amit

---

From: Acee Lindem <[email-masked]>
Date: Thu, 8 Aug 2002 08:48:56 -0400

> Please if some one know the answer to it kindly

Amit,

An ABR for an NSSA does not generate type 4 summaries for
ASBRs within the NSSA. Hence a forwarding address is required
to compute the best path to the prefix advertised in the
translated LSA.

Thanks,
Acee

--
Acee